import unit4.collectionsLib.List;
import unit4.collectionsLib.Node;
/**
 *       
 *       
 *     
 * @author dafna minster & sarah funk
 * @version 11/06/2011
 * @param <T>
 */

public class ListT<T>
{
	private Integer i;
	private List<T> list;
	
	/**
	 *           
	 * @param i
	 */
	public ListT (int i)
	{
		this.i = i;
		this.list = new List<T>();
	}
	
	/**
	 *         
	 * @param i
	 */
	public void setI(int i)
	{
		this.i = i;
	}
	
	/**
	 *        
	 * @return
	 */
	public int getI()
	{
		return(this.i);
	}
	/**
	 *       
	 * @return
	 */
	public List<T> getList()
	{
		return(this.list);
	}
	
	/**
	 *       
	 * @param i
	 * @param x
	 */
	public void insert( T x)
	{
		this.list.insert(null, x);
	}
	
	/**
	 *       
	 * @return
	 * @see java.lang.Object#toString()
	 */
	public String toString()
	{
		int cellLength = 3;
		String s = ("\n  ------------ ");
		s += ("\n | Row no."+ new PrintfFormat("%"+cellLength+"s ").sprintf(this.i.toString()) +"| --> ");
		

		Node<T> temp = this.list.getFirst();
		while (temp != null)
		{
			s += temp.toString() + " --> ";
			temp = temp.getNext();
		}
		s += "|| ";
		s += ("\n  ------------ ");
		return s;
	}
	
	/*
	public void print()
	{
		System.out.print(" Row no. " + this.i + "  ");
		Node<T> temp = this.list.getFirst();
		while (temp != null)
		{
			System.out.print(temp.getInfo().toString() + " --> ");
			temp = temp.getNext();
		}
		System.out.println("|| ");
	}*/
	
}
