import unit4.collectionsLib.List;
import unit4.collectionsLib.Node;
/*
 *        
 *    
 *  2011
 */


public class MainMatrixArrayList
{
	static final int n=6;
	static final int m=4;
	
	public static void main(String[] args)
	{

		/* :       '
		 * Byte, Short, Integer, Long, Float, Double, and Character
		 */
		Integer[][] matrix = {{0,14,0,0},{93,0,0,107},{0,0,0,0},
		          {0,0,66,14},{0,0,0,0},{27,0,0,0}};

		
		//         
		ArrayOfLists<Integer> arrayList1 =  new ArrayOfLists<Integer>(6);
		arrayList1.turnOverMatrixToArrayOfLists(matrix, 0);	//     
		System.out.println("Array of Lists Example 1 - before delete");
		System.out.println(arrayList1.toString());
		arrayList1.delete(3,2);							//    
		System.out.println("\nArray of Lists Example 1 - after delete");
		System.out.println(arrayList1.toString());
		
		
		//    
		ArrayOfLists<Integer> arrayList2 = new ArrayOfLists<Integer>(6);
	
		arrayList2.insertSorted(1, 2, 97);
		arrayList2.insertSorted(1, 1, 24);
		arrayList2.insertSorted(3, 0, 66);
		arrayList2.insertSorted(4, 1, 115);
		arrayList2.insertSorted(2, 3, 777);
		arrayList2.insertSorted(2, 4, 24);
		
		System.out.println("\nArray of Lists Example 2 - before delete");
		System.out.println(arrayList2.toString());
		
		arrayList2.delete(1,2);
		
		System.out.println("\nArray of Lists Example 2 - after delete");
		System.out.println(arrayList2.toString());
		
		
		//	   
		Integer sum = 0;
		for (int i=0 ; i < arrayList2.getArrayLength() ; i++ )
		{
			Node<InfoMatrix<Integer>> p = arrayList2.getFirst(i);  //   						  
			while (p != null)
			{
				sum += p.getInfo().getInfoT();
				p = p.getNext();
			}
		}
		System.out.println("\nSum is: " + sum);
	}
}
