import unit4.collectionsLib.List;
import unit4.collectionsLib.Node;

/*
 *        
 *    
 *  2011
 */

public class MainMatrixListList
{	static final int n=6;
	static final int m=4;

	public static void main(String[] args)
	{
		/* :       '
		 * Byte, Short, Integer, Long, Float, Double, and Character
		 */
		Integer[][] matrix = {{0,14,0,0},{93,0,0,107},{0,0,0,0},
		                      {0,0,66,14},{0,0,0,0},{27,0,0,0}};

		
		//	       
		ListOfLists<Integer> intListList1 = new ListOfLists<Integer>();
		intListList1.turnOverMatrixToArrayOfLists1(matrix, 0);
		
		System.out.println("\nList of Lists Example 1 - before delete");
		System.out.print("\n"+intListList1.toString());
		
		intListList1.delete(1, 3);
		
		
		System.out.println("\nArray of Lists Example 1 - after delete");
		System.out.print("\n"+intListList1.toString());
		
		
		//	   
		ListOfLists<Integer> intListList2 = new ListOfLists<Integer>();
	
		intListList2.insertSorted(1, 2, 97);
		intListList2.insertSorted(1, 1, 24);
		intListList2.insertSorted(3, 0, 66);
		intListList2.insertSorted(4, 1, 115);
		intListList2.insertSorted(2, 3, 777);
		intListList2.insertSorted(2, 4, 24);
		
		System.out.println("\nArray of Lists Example 2 - before delete");
		System.out.println(intListList2.toString());
		
		intListList2.delete(1,2);
		
		System.out.println("\nArray of Lists Example 2 - after delete");
		System.out.println(intListList2.toString());
		
		//    
		Integer sum = 0;
		Node<ListT<InfoMatrix<Integer>>> p = intListList2.getFirst();  //   
		Node<InfoMatrix<Integer>> q ;								   //    
		while (p != null)
		{
			q = intListList2.getInsideList(p);
			while (q != null)
			{
				sum += q.getInfo().getInfoT();
				q = q.getNext();
			}
			p = p.getNext();
		}
		System.out.println("\nSum is: " + sum);
	}

}
