import unit4.collectionsLib.List;
import unit4.collectionsLib.Node;
/**
 *      
 * InfoMatrix   
 * @author dafna minster & sarah funk
 * @version 11/06/2011
 * @param <T>
 * 
 */

public class ArrayOfLists<T>
{
	private ArrayOfListT<InfoMatrix<T>,T> array;
	
	/**
	 *      
	 * @param n
	 */
	public ArrayOfLists(int n)
	{
		this.array = new ArrayOfListT<InfoMatrix<T>,T>(n);
	}
	
	/**
	 *      
	 * @return
	 */
	public int getArrayLength()
	{
		return (this.array.getArrayLength());
	}
	
	/**
	 *         
	 * @param i
	 * @return
	 */
	public Node<InfoMatrix<T>> getFirst(int i)
	{
		return (this.array.getFirst(i));
	}
	
	/**
	 *         
	 *    
	 * @param i
	 * @return
	 */
	public List<InfoMatrix<T>> getListCopy(int i)
	{
		return (this.array.getListCopy(i));
	}
		
	
	/**
	 *      
	 * InfoMatrix
	 * @param i
	 * @param j
	 * @param x
	 * @return
	 */
	public Node<InfoMatrix<T>> insert(int i , int j , T x)
	{
		return this.array.insert(i, j, x);
	}
	
	/**
	 *                
	 * @param i
	 * @param j
	 * @param x
	 * @return
	 */
	public Node<InfoMatrix<T>> insertSorted(int i , int j , T x)
	{
		return this.array.insertSorted(i, j, x);
	}
	
	
	
	/**
	 *   -        
	 * @param i
	 * @param j
	 * @return
	 */
	public Node<InfoMatrix<T>> delete (int i , int j)
	{
		return this.array.delete(i, j);
	}
	
	
	
	/**
	 *     
	 * @param x
	 *  
	 * @param place
	 * @return
	 */
	public Node<InfoMatrix<T>> deleteXfromList (T x, int place)
	{
		return this.array.deleteXfromList(x, place);
	}
	
	/**
	 *        
	 *            
	 *   
	 * @param matrix
	 * @param withOut
	 * @return
	 */	
	public void turnOverMatrixToArrayOfLists (T[][] matrix , T withOut)
	{
		this.array = this.array.turnOverMatrixToArrayOfLists(matrix, withOut); 
	}
	
	/**
	 *       
	 * @return
	 * @see java.lang.Object#toString()
	 */
	public String toString ()
	{
		return (this.array.toString());
	}
}
