/**
 *       
 *            
 * @author dafna minster & sarah funk
 * @version 11/06/2011
 * @param <T>
 */
public class ArrayMat<T>
{
	private T[]ar ;
	private int row;
	private int col;
	
	/**
	 *   
	 *     - 
	 * @param row
	 * @param column
	 */
	public ArrayMat(int row , int col)
	{
		this.ar =(T []) new Object[row*col];
		this.row = row ;
		this.col = col ;
	}
	
	/**
	 *       
	 * @return
	 */
	public int getNumRows()
	{
		return this.row ;
	}
	
	/**
	 *       
	 * @return
	 */
	public int getNumCols()
	{
		return this.col ;
	}
	
	/**
	 *        
	 *    
	 * :    
	 * @param row
	 * @param column
	 * @param value
	 */
	public void setMatrixItem (int row , int column , T value)
	{
		this.ar[row*this.col+column] = value;
	}
	
	/**
	 *        
	 *     
	 * @param row
	 * @param column
	 * @return
	 */
	public T getMatrixItem (int row , int column)
	{
		return this.ar[row*this.col+column];
	}
	
	/**
	 *       
	 * @param row
	 */
	public void printRow(int row)
	{
		int first = row * this.col ;
		int last = (row +1)*this.col;
		for( ; first<last;first++)
		{
			System.out.print(this.ar[first]+" ");
		}
	}
	
	/**
	 *       
	 * @param col
	 */
	public void printCol(int col)
	{
		System.out.println("col num :"+ col);
		for( int first = col ; first<this.ar.length;first+= this.col)
		{
			System.out.println(this.ar[first]+" ");
		}
	}
	
	/**
	 *       
	 * @return
	 * @see java.lang.Object#toString()
	 */
	public String toString()
	{
		String str ="";
		for(int k= 0 ; k<this.ar.length ; k++)
		{
			if(k!=0 && k%this.col==0)
			{
				str+="\n" ;
			}
			str+= this.ar[k]+"   " ;
			
		}
		return str ;
	}
}
