import unit4.collectionsLib.List;
import unit4.collectionsLib.Node;
/**
 *         
 * @author dafna minster & sarah funk
 * @version 11/06/2011
 * @param <T>
 */

 
public class ListOfLists<T>
{
	private ListOfListT<InfoMatrix<T>,T> list;

	/**
	 *      
	 *
	 */
	public ListOfLists()
	{
		this.list = new ListOfListT<InfoMatrix<T>,T>();		
	}
	
	/**
	 *       
	 * @return
	 */
	public Node<ListT<InfoMatrix<T>>> getFirst()
	{
		return(this.list.getFirst());
	}
	
	/**
	 *         
	 * @param p
	 * @return
	 */
	public ListT<InfoMatrix<T>> getInfoOutsideList(Node<ListT<InfoMatrix<T>>> p)
	{
		return(p.getInfo());
	}
	
	/**
	 *     
	 * @param p
	 * @return
	 */
	public Node<InfoMatrix<T>> getInsideList(Node<ListT<InfoMatrix<T>>> p)
	{
		return(p.getInfo().getList().getFirst());
	}
	
	/**
	 *      -   
	 * @param i
	 * @param j
	 * @param x
	 */
	public void insert(int i , int j , T x)
	{
		this.list.insert(i,j,x);
	}
	
	/**
	 *         -  
	 * @param i
	 * @param j
	 * @param x
	 */
	public void insertSorted(int i , int j , T x)
	{
		this.list.insertSorted(i,j,x);
	}

		
	/**
	 *     , 
	 * @param i
	 * @param j
	 */
	public void delete (int i , int j)
	{
		this.list.delete(i, j);
	}
	
	
	
	
	/**
	 *               
	 *   
	 *  :              
	 *       
	 * @param matrix
	 * @param withOut
	 * @return
	 */
	public void turnOverMatrixToArrayOfLists1 (T[][] matrix , T withOut)
	{
		this.list = this.list.turnOverMatrixToArrayOfLists1(matrix, withOut);
	}
	
	/**
	 *      
	 * @return
	 * @see java.lang.Object#toString()
	 */
	public String toString()
	{
		return(this.list.toString());
	}
}