import unit4.collectionsLib.List;
import unit4.collectionsLib.Node;


public class SortByRange
{

	private int[] mins;
	private ArrayOfLists<Integer> values;
	private int current;
	
	public SortByRange (int[] mins)
	{
		this.mins = mins;
		this.values = new ArrayOfLists<Integer>(10);
		//  current 
		while ((this.current < this.mins.length - 1)&&
			   (this.mins[this.current] < this.mins[this.current+1]))
			this.current ++;
		this.current ++;
	}
	

	public void setMins(int place , int minValue)
	{		
			
		if (this.mins[place] > minValue)
		{			
			Node<InfoMatrix<Integer>> p = this.values.getFirst(place-1);  //   	
			Integer x;
			while (p != null)
			{
				x = p.getInfo().getInfoT();
				if ( x > minValue)
					{
					p = this.values.deleteXfromList(p.getInfo().getInfoT(), place-1);
					this.values.insertSortedByInfo(place, -1, x);
					}
				else
					p = p.getNext();
			}
		}
		else
		{
			Node<InfoMatrix<Integer>> p = this.values.getFirst(place);  //  
			Integer x;
			while (p != null)
			{
				x = p.getInfo().getInfoT();
				if (x < minValue)
				{
					//System.out.println(this.mins[place] +"  "+p.getInfo().getInfo());
					p = this.values.deleteXfromList(p.getInfo().getInfoT(), place);
					this.values.insertSortedByInfo(place-1, -1, x);
				}
				else
					p = p.getNext();
			}
		}
			
		this.mins[place] = minValue;
	} 
	
	public void addRange (int r)
	{
		if (this.current < this.mins.length)
		{
			System.out.println(this.current + " " + r);
			this.mins[this.current] = r;
			this.values.insertSortedByInfo(this.current, -1, r);
			this.current++;
		}
	} 
	
	public void setCurrent(int current)
	{
		this.current = current;
	} 

	
	public int[] getMins()
	{
		return (this.mins);
	} 
	
	public int getCurrent() 
	{
		return this.current;
	} 
	
	public void insert (int num)
	{
		int i=0;
		while ((i < this.current) && (num >= this.mins[i]))
			i++;
		
		this.values.insertSortedByInfo((i-1), -1, num);	
	}
	
	
	public String toString()
	{
		String sMins = "The Mins Array:  [ ";
		for(int i = 0 ; i < this.mins.length - 1 ; i++)
			sMins += this.mins[i] + " , ";
		sMins += this.mins[this.mins.length - 1] + " ] ";
		
		return ("         S o r t e d    By    R a n g e \n" + 
				"         ****************************** \n" + 
				"\nThe current value: " + this.current + "\n" + sMins +
				"\n" + this.values.toString());
	}
	
}
